import { Form, Input } from 'antd'
import React from 'react'

const InputPass = ({ name, label, props, obligatorio = true }) => {
  return (
    <Form.Item
      {...props}
      name={name}
      label={label}
      rules={[
        obligatorio && {
          required: true,
          message: 'Este campo es obligatorio',
        },
        {
          pattern: /^(?=.*[#$%@-_])(?=.*\d)(?=.*[A-Z]).{8,}$/,
          message:
            <span>
              El patrón de la contraseña es poco seguro,
              <ul>
                <li>debe contener al menos 8 caracteres</li>
                <li>una mayuscula</li>
                <li>un caracter especial (#$%@-_)</li>
                <li>un número</li>
              </ul>
              por ejemplo: Ej3mpl0#</span>
        },
      ]}
    >
      <Input.Password autoComplete="one-time-code"/>
    </Form.Item>
  )
}

export default InputPass
