import { useState, useMemo, useEffect } from 'react'
import { DefaultLayout } from '../../../components/layouts'
import { useQuery, useModel } from '../../../hooks'
import { Formulario } from './Formulario'

const Detalle = ({ endPoint, expand, url, orden, idModelo, media }) => {
  const q = useQuery()
  const id = q.get('id')
  const editando = Boolean(id)

  const [request, setRequest] = useState({})

  const requestParams = useMemo(() => ({
    name: endPoint,
    id: id,
    ordenar: orden,
    expand: expand,
  }), [id])

  const {
    model,
    modelLoading
  } = useModel(request)

  useEffect(() => {
    setRequest(requestParams)
    return () => {
      setRequest({})
    }
  }, [requestParams])

  return (
    <DefaultLayout
      viewLoading={{
        text: 'Cargando ...',
        spinning: modelLoading
      }}
    >
      <Formulario
        id={id}
        url={url}
        model={model}
        idModelo={idModelo}
        expand={expand}
        endPoint={endPoint}
        media={media}
        editando={editando}
      />
    </DefaultLayout>
  )
}

export default Detalle