import Detalle from './Detalle'
import Listado from './Listado'
import { Link } from 'react-router-dom'
import React from 'react'

const endPoint = 'nivel'
const url = '/administracion/catalogos/nivel'
const orden = 'nombre-desc'
const idModelo = 'id'

const columnas = [
  {
    title: 'Clave',
    index: 'clave',
    key: 'clave',
    dataIndex: 'clave',
    render: (_, item) =>
      <Link to={`${url}/editar?id=${item[idModelo]}`} style={{ color: 'black' }}>
        {item?.clave}
      </Link>
  },
  {
    title: 'Nombre',
    index: 'nombre',
    key: 'nombre',
    dataIndex: 'nombre',
    render: (_, item) =>
      <Link to={`${url}/editar?id=${item[idModelo]}`} style={{ color: 'black' }}>
        {item?.nombre}
      </Link>
  }, 
]

const Nivel = () => (<Listado
  endPoint={endPoint}
  url={url}
  orden={orden}
  columnas={columnas}
  idModelo={idModelo}
/>)

const NivelDetalle = () => (<Detalle
  endPoint={endPoint}
  url={url}
  orden={orden}
  idModelo={idModelo}
/>)

export { Nivel, NivelDetalle }